#ifndef IO_H
#define IO_H

#include <Arduino.h>
#include <OneWire.h>
#include <DallasTemperature.h>


class IO {
public:
    IO();
    void setup_io();
    void set_low_power();
    void set_deep_sleep();
    float read_temp();
    float read_internal_temp();
    uint8_t read_battery();
private:
  OneWire oneWire;
  DallasTemperature sensors;
};

#endif /* IO_H */ 